unit Unit7;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, FastFX, FastBMP;

type
  TForm7 = class(TForm)
    sAlpha: TScrollBar;
    Label1: TLabel;
    Button1: TButton;
    FOpen: TOpenDialog;
    procedure sAlphaScroll(Sender: TObject; ScrollCode: TScrollCode;
      var ScrollPos: Integer);
    procedure Button1Click(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Bmp: TFastBMP;
    procedure Process;
  end;

var
  Form7: TForm7;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm7.Process;
begin
  AlphaBlend(Form2.Bmp,Bmp,Form2.Buf,sAlpha.Position);
  Form2.Refresh;
end;

procedure TForm7.sAlphaScroll(Sender: TObject; ScrollCode: TScrollCode;
  var ScrollPos: Integer);
begin
  Process;
end;

procedure TForm7.Button1Click(Sender: TObject);
var
Tmp: TFastBMP;
begin
  if FOpen.Execute then
  begin
    Bmp.Free;
    Bmp:=TFastBMP.Create(Form2.Bmp.Width,Form2.Bmp.Height);
    Tmp:=TFastBMP.CreateFromFile(FOpen.FileName);
    Tmp.SmoothResize(Bmp);
    Tmp.Free;
    Process;
  end;
end;

procedure TForm7.FormHide(Sender: TObject);
begin
  CopyMemory(Form2.Buf.Bits,Form2.Bmp.Bits,Form2.Buf.Size);
  Bmp.Free;
end;

procedure TForm7.FormShow(Sender: TObject);
var
Tmp: TFastBMP;
begin
  Bmp:=TFastBMP.Create(Form2.Bmp.Width,Form2.Bmp.Height);
  Tmp:=TFastBMP.CreateFromFile('sample.bmp');
  Tmp.SmoothResize(Bmp);
  Tmp.Free;
end;

end.
 